| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRenderMeshHolder Class Reference

Helper class to retrieve an unused csRenderMesh. More...

`#include <cstool/rendermeshholder.h>`

List of all members.

## Public Member Functions
csRenderMesh *& | GetUnusedMesh (bool &created, uint frameNumber)
| Retrieve a csRenderMesh which was not yet used this frame.

## Detailed Description

Helper class to retrieve an unused csRenderMesh.

Remarks:
  Uses csFrameDataHolder internally. See it's documentation for some additional information.

Definition at line 38 of file rendermeshholder.h.

## Member Function Documentation

csRenderMesh*& csRenderMeshHolder::GetUnusedMesh | ( | bool & | created,
|  | uint | frameNumber |
| ) |  |  |

Retrieve a csRenderMesh which was not yet used this frame.

Parameters:

  | created | True if a new csRenderMesh was allocated, False if one was reused. Can be used to determine whether all or only a subset of the csRenderMesh values have to be initialized.
  | frameNumber | Current frame number - used to determine unused meshes.

The documentation for this class was generated from the following file:

- cstool/rendermeshholder.h